set terminal postscript eps
set output 
set noclip points
set clip one
set noclip two
set border
set boxwidth
set dummy x,y
set format x "%g"
set format y "%g"
set format z "%g"
set nogrid
set key
set nolabel
set noarrow
set nologscale
set offsets 0, 0, 0, 0
set nopolar
set angles radians
set noparametric
set view 60, 30, 1, 1
set samples 100, 100
set isosamples 10, 10
set surface
set nocontour
set clabel
set nohidden3d
set cntrparam order 4
set cntrparam linear
set cntrparam levels auto 5
#set cntrparam points 5
set size 1,1
set data style points
set function style lines
set noxzeroaxis
set noyzeroaxis
set tics in
set ticslevel 0.5
set ztics
set title "" 0,0
set notime
set rrange [-0 : 10]
set trange [-5 : 5]
set urange [-5 : 5]
set vrange [-5 : 5]
set xlabel "Messages" 0,0
set xrange [0 : SIZE]
set ylabel "% LAM (logistic scale)" 0,0
set zlabel "" 0,0
set zrange [-10 : 10]
set autoscale r
set autoscale t
set noautoscale   
set autoscale z
set zero 1e-08
set autoscale x
#set autoscale y
set yrange [-4 : .5]
set ytics ("0.01" -4.000,"0.10" -3.000,"1.00" -1.996,"10.00" -0.954,"50.00" 0.000,"90.00" 0.954,"99.00" 1.996,"99.90" 3.000,"99.99" 4.000)



plot \
